<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<script>
    let color = ["red", "blue", "yellow"];

    let [c1 , c2] = color
    console.log(c1);
    console.log(c2);

    let color1 = ["red", "blue", "yellow","black"];
    let [a1 , a2, ...a3] = color1
    console.log(a1);
    console.log(a2);
    console.log(a3);

let school = {
    name: "devcamp",
    year: 2023,

}

let {name} = school
console.log(name)

let school1 = {
  student1:{  name1: "devcamp",year: 2023},
  student2:{  name1: "aaaa",year: 2022}

}
let {student1, student2} = school1;
console.log(student1);
console.log(student2);
let {name1} = student1;
console.log(name1)

</script>
</html>